Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.trans
Class AttributeTransformationBase<T>

    java.lang.Object
      local.tomas.mobile.sync.trans.AttributeTransformationBase<T>

All Implemented Interfaces:
  AttributeTransformation<T>

    public abstract class AttributeTransformationBase<T>

extends java.lang.Object
implements AttributeTransformation<T>

Constructor Summary
`AttributeTransformationBase()`

Method Summary
`abstract T` | `getAttribute(SyncObject source, java.lang.String sourceField, java.lang.Class<T> type)`
`void` | `transform(SyncObject source, java.lang.String sourceField, SyncObject target, java.lang.String targetField, java.lang.Class<T> type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeTransformationBase

    public AttributeTransformationBase()

Method Detail

### getAttribute

    public abstract T getAttribute(SyncObject source,
                                   java.lang.String sourceField,
                                   java.lang.Class<T> type)
                            throws SyncException

  Throws:
    `SyncException`

### transform

    public void transform(SyncObject source,
                          java.lang.String sourceField,
                          SyncObject target,
                          java.lang.String targetField,
                          java.lang.Class<T> type)
                   throws SyncException

  Specified by:
    `transform` in interface `AttributeTransformation<T>`
  Throws:
    `SyncException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.